Package com.independentsoft.office.charts

# Class MultiLevelStringReference

java.lang.Object
com.independentsoft.office.charts.MultiLevelStringReference

public class MultiLevelStringReference extends Object
The Class MultiLevelStringReference.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiLevelStringReference()`
  Instantiates a new multi level string reference.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MultiLevelStringReference`
  `clone()`
  `MultiLevelStringCache`
  `getCache()`
  Gets the cache.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `String`
  `getFormula()`
  Gets the formula.
  `void`
  `setCache​(MultiLevelStringCache cache)`
  Sets the cache.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setFormula​(String formula)`
  Sets the formula.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MultiLevelStringReference

    public MultiLevelStringReference()
    Instantiates a new multi level string reference.

- ## Method Details

  - ### clone

    public MultiLevelStringReference clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getFormula

    public String getFormula()
    Gets the formula.
    Returns:
      the formula

  - ### setFormula

    public void setFormula​(String formula)
    Sets the formula.
    Parameters:
      `formula` - the new formula

  - ### getCache

    public MultiLevelStringCache getCache()
    Gets the cache.
    Returns:
      the cache

  - ### setCache

    public void setCache​(MultiLevelStringCache cache)
    Sets the cache.
    Parameters:
      `cache` - the new cache